﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using MVVMSuite.Model;
using ICSharpCode.AvalonEdit;
using ICSharpCode.AvalonEdit.Highlighting;
using System.Windows.Media;

namespace MVVMSuite
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);
            Property P = new Property("Package", "Package", false, true, false);
            Property Ps = new Property("Packages", "ObservableCollection<Package>", true, true, false, "The List of Packages");
            Window Win = new Window();
            TextEditor t = new TextEditor();
            t.Text = P.AsCSharpCode + "\n" + Ps.AsCSharpCode;
            t.FontFamily = new FontFamily("Consolas"); 
            t.SyntaxHighlighting = HighlightingManager.Instance.GetDefinition("C#");
            Win.Content = t;
            Win.Width = 500;
            Win.Height = 500;
            Win.ShowDialog();
                            
        
        }
    }
}
